import { SocketFilters } from "../interfaces/SocketFilters.js";
import { SocketFilter } from "./socketFilter.js";
/**
 * Inject the Socket instance in the decorated parameter.
 *
 * ### Example
 *
 * ```typescript
 * @SocketService("/nsp")
 * export class MyWS {
 *
 *   @Input("event")
 *   myMethod(@Socket socket) {
 *
 *   }
 * }
 * ```
 *
 * @experimental
 * @param target
 * @param {string} propertyKey
 * @param {number} index
 * @decorator
 */
export function Socket(target, propertyKey, index) {
    return SocketFilter(SocketFilters.SOCKET)(target, propertyKey, index);
}
