import { Store } from "@tsed/core";
/**
 *
 * @param {SocketFilters} filter
 * @param {number} mapIndex
 * @returns {(target: any, propertyKey: string, index: number) => Store}
 * @decorator
 */
export function SocketFilter(filter, mapIndex) {
    return (target, propertyKey, index) => {
        Store.from(target).merge("socketIO", {
            handlers: {
                [propertyKey]: {
                    parameters: {
                        [index]: {
                            filter,
                            mapIndex
                        }
                    }
                }
            }
        });
    };
}
