import { Store } from "@tsed/core";
/**
 *
 * @param {string} eventName
 * @param {SocketReturnsTypes} type
 * @returns {(target: any, propertyKey: string, descriptor: PropertyDescriptor) => void}
 * @decorator
 */
export function SocketReturns(eventName, type) {
    return (target, propertyKey, descriptor) => {
        Store.from(target).merge("socketIO", {
            handlers: {
                [propertyKey]: {
                    returns: {
                        eventName,
                        type
                    }
                }
            }
        });
    };
}
