/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import Http from "node:http";
import Https from "node:https";
import { InjectorService, OnDestroy, Provider } from "@tsed/di";
import type { AfterListen } from "@tsed/platform-http";
import { ServerOptions } from "socket.io";
/**
 * @ignore
 */
export declare class SocketIOModule implements AfterListen, OnDestroy {
    protected disableRoutesSummary: boolean;
    protected settings: Partial<ServerOptions>;
    protected injector: InjectorService;
    protected httpServer: Http.Server | null;
    protected httpsServer: Https.Server | null;
    private io;
    private socketIOService;
    $afterListen(): Promise<void>;
    $onDestroy(): Promise<unknown>;
    /**
     *
     * @returns {Provider<any>[]}
     */
    protected getWebsocketServices(): Provider<any>[];
    /**
     *
     */
    protected printSocketEvents(): void;
}
