import { SocketHandlerMetadata } from "../interfaces/SocketHandlerMetadata.js";
import { SocketInjectableNsp } from "../interfaces/SocketInjectableNsp.js";
import { SocketProviderTypes } from "../interfaces/SocketProviderTypes.js";
export declare class SocketProviderMetadata {
    type: SocketProviderTypes;
    namespace: string | RegExp;
    error: boolean;
    injectNamespaces: SocketInjectableNsp[];
    useBefore: any[];
    useAfter: any[];
    handlers: Record<string, SocketHandlerMetadata>;
    constructor(options?: Partial<SocketProviderMetadata>);
    get useHandler(): SocketHandlerMetadata;
    get $onConnection(): SocketHandlerMetadata;
    get $onDisconnect(): SocketHandlerMetadata;
    get(key: string): SocketHandlerMetadata;
    set(key: string, metadata: SocketHandlerMetadata): void;
    getHandlers(): SocketHandlerMetadata[];
    createHook(hook: string, eventName: string): void;
}
