/**
 * Attach the decorated method to the socket event.
 *
 * ### Example
 *
 * ```typescript
 * @SocketService("/nsp")
 * export class MyWS {
 *
 *   @Input("event")
 *   myMethod(@Args(0) data: any, @Nsp socket) {
 *
 *   }
 * }
 * ```
 *
 * @decorator
 * @param eventName
 */
export declare function Input(eventName: string): (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
