import { Type } from "@tsed/core";
/**
 * Inject the [SocketIO.Server](https://socket.io/docs/server-api/) instance in the decorated parameter.
 *
 * ### Example
 *
 * ```typescript
 * @SocketService("/nsp")
 * export class MyWS {
 *   constructor(@IO private io: Server) {}
 * }
 * ```
 *
 * @param target
 * @param targetKey
 * @param descriptor
 * @decorator
 */
export declare function IO(): (...args: any[]) => any;
export declare function IO(target: Type<any>, targetKey: string | symbol | undefined, descriptor: TypedPropertyDescriptor<Function> | number): any;
